﻿Public Class Form1
    Dim strSig As String
    Dim prescription As Bitmap
    Dim checkboxes As Bitmap
    Dim next_clear As Bitmap
    Dim screen2 As Bitmap
    Dim check As Bitmap
    Dim topazlogo As Bitmap
    Dim prescnums As Bitmap

    Private Sub cmdStart_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdStart.Click
        SigPlusNET1.SetTabletState(1)   'open port, turn tablet on

        SigPlusNET1.SetLCDCaptureMode(2)
        SigPlusNET1.LCDSetWindow(0, 0, 1, 1) 'Prohibit inking on entire LCD
        SigPlusNET1.SetSigWindow(1, 0, 0, 1, 1) 'Prohibit inking in SigPlus
        SigPlusNET1.LCDRefresh(0, 0, 0, 240, 128) 'Refresh entire tablet
        SigPlusNET1.SetTranslateBitmapEnable(False)

        SigPlusNET1.ClearTablet() 'Clears the SigPlus object of ink

        SigPlusNET1.KeyPadAddHotSpot(0, 1, 11, 55, 15, 25) 'set up hot spots for page 1
        SigPlusNET1.KeyPadAddHotSpot(1, 1, 11, 75, 15, 25)
        SigPlusNET1.KeyPadAddHotSpot(2, 1, 70, 95, 30, 30)
        SigPlusNET1.KeyPadAddHotSpot(3, 1, 132, 95, 40, 30)

        'load bmps for display on lcd
        screen2 = New System.Drawing.Bitmap(Application.StartupPath() & "\screen2.bmp")
        prescription = New System.Drawing.Bitmap(Application.StartupPath() & "\prescription.bmp")
        checkboxes = New System.Drawing.Bitmap(Application.StartupPath() & "\checkboxes.bmp")
        next_clear = New System.Drawing.Bitmap(Application.StartupPath() & "\next_clear.bmp")
        check = New System.Drawing.Bitmap(Application.StartupPath() & "\check.bmp")
        topazlogo = New System.Drawing.Bitmap(Application.StartupPath() & "\topazlogo.bmp")
        prescnums = New System.Drawing.Bitmap(Application.StartupPath() & "\prescnums.bmp")

        SigPlusNET1.LCDSendGraphic(1, 2, 0, 0, screen2)
        'this BMP is loaded into background

        'The rest of the BMPs are loaded into foreground
        SigPlusNET1.LCDSendGraphic(0, 2, 10, 0, prescription)
        SigPlusNET1.LCDSendGraphic(0, 2, 10, 11, prescnums)
        SigPlusNET1.LCDSendGraphic(0, 2, 10, 64, checkboxes)
        SigPlusNET1.LCDSendGraphic(0, 2, 70, 110, next_clear)

        SigPlusNET1.SetLCDCaptureMode(2)   'Sets up LCD to retain data rather than
        'auto clearing it every few seconds
    End Sub

    Private Sub Form1_FormClosing(ByVal sender As System.Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles MyBase.FormClosing
        'reset lcd to default settings
        SigPlusNET1.SetTabletState(1)
        SigPlusNET1.LCDRefresh(0, 0, 0, 240, 128) 'Clears entire LCD screen
        SigPlusNET1.LCDSetWindow(0, 0, 240, 128)
        SigPlusNET1.SetSigWindow(1, 0, 0, 240, 128)
        SigPlusNET1.KeyPadClearHotSpotList()
        SigPlusNET1.SetLCDCaptureMode(1) 'Resets regular auto-clear inking
        SigPlusNET1.SetTabletState(0)
    End Sub

    Private Sub SigPlusNET1_PenDown(sender As System.Object, e As System.EventArgs) Handles SigPlusNET1.PenDown

    End Sub

    Private Sub SigPlusNET1_PenUp(sender As System.Object, e As System.EventArgs) Handles SigPlusNET1.PenUp
        If SigPlusNET1.KeyPadQueryHotSpot(0) > 0 Then 'Easy-off caps chosen
            SigPlusNET1.ClearSigWindow(1) 'clear hot spot buffer
            SigPlusNET1.ClearTablet() 'Clear SigPlus
            SigPlusNET1.LCDSendGraphic(0, 3, 14, 67, check)
            SigPlusNET1.SetLCDCaptureMode(2)
        End If

        If SigPlusNET1.KeyPadQueryHotSpot(1) > 0 Then 'Decline counseling chosen
            SigPlusNET1.ClearSigWindow(1)
            SigPlusNET1.ClearTablet()
            SigPlusNET1.LCDSendGraphic(0, 3, 14, 90, check)
            SigPlusNET1.SetLCDCaptureMode(2)
        End If

        If SigPlusNET1.KeyPadQueryHotSpot(2) > 0 Then 'go to page 2
            SigPlusNET1.ClearSigWindow(1)
            SigPlusNET1.ClearTablet()

            SigPlusNET1.KeyPadClearHotSpotList() 'clear out page 1 hotspots

            'Add page 2 hotspots
            SigPlusNET1.KeyPadAddHotSpot(4, 1, 17, 53, 60, 15)
            SigPlusNET1.KeyPadAddHotSpot(5, 1, 106, 51, 36, 16)
            SigPlusNET1.KeyPadAddHotSpot(6, 1, 187, 52, 30, 15)

            SigPlusNET1.LCDRefresh(1, 70, 110, 30, 15) 'Inverts (makes black) only
            'the secion of the LCD specified...typically used to indicate to
            'the user that their pen tap has been recognized--note the initial argument 1

            SigPlusNET1.LCDRefresh(2, 0, 0, 240, 128) 'sets the BMP in the background
            'to the foreground--note the initial argument 2

            SigPlusNET1.LCDSetWindow(2, 74, 236, 50) 'Permits only the section on LCD
            'to display ink
            SigPlusNET1.SetSigWindow(1, 0, 68, 240, 60)
            'specifies area in sigplus object to accept ink
            SigPlusNET1.SetLCDCaptureMode(2)
        End If

        If SigPlusNET1.KeyPadQueryHotSpot(3) > 0 Then
            SigPlusNET1.ClearSigWindow(1)
            SigPlusNET1.ClearTablet()
            SigPlusNET1.LCDRefresh(1, 132, 110, 40, 15) 'Inverts only the section of the
            'LCD specified
            SigPlusNET1.LCDSendGraphic(0, 2, 10, 64, checkboxes)
            SigPlusNET1.LCDRefresh(1, 132, 110, 40, 15) 'Reverses inversion to
            'return that section of the LCD to normal
            SigPlusNET1.SetLCDCaptureMode(2)
        End If

        If SigPlusNET1.KeyPadQueryHotSpot(4) > 0 Then
            SigPlusNET1.ClearSigWindow(1)
            SigPlusNET1.ClearTablet()

            SigPlusNET1.KeyPadClearHotSpotList() 'clear out page 2 hotspots

            'Add page 1 hotspots
            SigPlusNET1.KeyPadAddHotSpot(0, 1, 11, 55, 15, 25) 'set up hot spots for page 1
            SigPlusNET1.KeyPadAddHotSpot(1, 1, 11, 75, 15, 25)
            SigPlusNET1.KeyPadAddHotSpot(2, 1, 70, 95, 30, 30)
            SigPlusNET1.KeyPadAddHotSpot(3, 1, 132, 95, 40, 30)

            SigPlusNET1.LCDRefresh(1, 18, 53, 58, 15) 'Inverts that section of LCD
            SigPlusNET1.LCDRefresh(0, 0, 0, 240, 128) 'clear LCD screen

            'Redraw all of the BMPs, user goes back to page 1
            SigPlusNET1.LCDSendGraphic(0, 2, 10, 0, prescription)
            SigPlusNET1.LCDSendGraphic(0, 2, 11, 10, prescnums)
            SigPlusNET1.LCDSendGraphic(0, 2, 10, 64, checkboxes)
            SigPlusNET1.LCDSendGraphic(0, 2, 70, 110, next_clear)
            SigPlusNET1.LCDSetWindow(0, 0, 1, 1) 'Prohibit inking on entire LCD
            SigPlusNET1.SetSigWindow(1, 0, 0, 1, 1) 'Prohibit inking in SigPlus
            SigPlusNET1.SetLCDCaptureMode(2)
        End If

        If SigPlusNET1.KeyPadQueryHotSpot(5) > 0 Then
            SigPlusNET1.ClearSigWindow(1)
            SigPlusNET1.ClearTablet()
            SigPlusNET1.LCDRefresh(1, 106, 52, 40, 16)
            SigPlusNET1.LCDRefresh(2, 0, 0, 240, 128)
        End If

        If SigPlusNET1.KeyPadQueryHotSpot(6) > 0 Then
            SigPlusNET1.ClearSigWindow(1)
            SigPlusNET1.LCDRefresh(1, 186, 53, 35, 15)
            Threading.Thread.Sleep(500)
            SigPlusNET1.LCDRefresh(0, 0, 0, 240, 128)

            If SigPlusNET1.NumberOfTabletPoints > 0 Then
                strSig = SigPlusNET1.GetSigString() 'strSig now holds signature

                Dim thankyou As Font
                thankyou = New System.Drawing.Font("Arial", 16.0F, System.Drawing.FontStyle.Regular)
                SigPlusNET1.LCDWriteString(0, 2, 4, 40, thankyou, "Thank You For Signing!")

                SigPlusNET1.LCDSendGraphic(0, 2, 58, 90, topazlogo)
                SigPlusNET1.SetTabletState(0) 'turn off tablet to use justification below
                SigPlusNET1.SetJustifyMode(5) 'this will zoom signature & justify to center
                Threading.Thread.Sleep(2000)
                SigPlusNET1.ClearTablet()

                Application.Exit()
            Else
                Dim please As Font
                please = New System.Drawing.Font("Arial", 16.0F, System.Drawing.FontStyle.Regular)
                SigPlusNET1.LCDWriteString(0, 2, 55, 38, please, "Please Sign")
                SigPlusNET1.LCDWriteString(0, 2, 30, 63, please, "Before Continuing...")
                Threading.Thread.Sleep(2500)
                SigPlusNET1.ClearTablet()
                SigPlusNET1.LCDRefresh(2, 0, 0, 240, 128)
                SigPlusNET1.SetLCDCaptureMode(2)
            End If
        End If

        SigPlusNET1.ClearSigWindow(1)
    End Sub
End Class
